import { BigintIsh } from '@uniswap/sdk-core';
import { TickDataProvider } from './tickDataProvider';
import { ethers } from 'ethers';
/**
 * A data provider for ticks that is backed by an in-memory array of ticks.
 */
export declare class RPCTickDataProvider implements TickDataProvider {
    private ticks;
    private provider;
    private poolAddress;
    private ticksInitialized;
    constructor(provider: ethers.providers.Provider, poolAddress: string);
    rpcFetchTicks(): Promise<void>;
    getTick(tick: number): Promise<{
        liquidityNet: BigintIsh;
        liquidityGross: BigintIsh;
    }>;
    nextInitializedTickWithinOneWord(tick: number, lte: boolean, tickSpacing: number): Promise<[number, boolean]>;
    private fetchTicks;
}
