import JSBI from 'jsbi';
import invariant from 'tiny-invariant';
import { TickMath } from '../utils';
import { bigIntFromBigintIsh } from 'src/utils/bigintIsh';
export class Tick {
    get liquidityGross() {
        return JSBI.BigInt(this._liquidityGross.toString(10));
    }
    get liquidityNet() {
        return JSBI.BigInt(this._liquidityNet.toString(10));
    }
    constructor({ index, liquidityGross, liquidityNet }) {
        invariant(index >= TickMath.MIN_TICK && index <= TickMath.MAX_TICK, 'TICK');
        this.index = index;
        this._liquidityGross = bigIntFromBigintIsh(liquidityGross);
        this._liquidityNet = bigIntFromBigintIsh(liquidityNet);
    }
}
//# sourceMappingURL=tick.js.map