import { MaxUint256BigInt } from '@uniswap/sdk-core';
import invariant from 'tiny-invariant';
import { bigIntFromBigintIsh } from './bigintIsh';
const POWERS_OF_2 = [128, 64, 32, 16, 8, 4, 2, 1].map((pow) => [pow, 2n ** BigInt(pow)]);
export function mostSignificantBit(_x) {
    let x = bigIntFromBigintIsh(_x);
    invariant(x > 0n, 'ZERO');
    invariant(x <= MaxUint256BigInt, 'MAX');
    let msb = 0;
    for (const [power, min] of POWERS_OF_2) {
        if (x >= min) {
            x = x >> BigInt(power);
            msb += power;
        }
    }
    return msb;
}
//# sourceMappingURL=mostSignificantBit.js.map