import { Token } from '@uniswap/sdk-core';
import { FeeAmount, Tick } from '../';
import { ethers } from 'ethers';
export interface PoolData {
    address: string;
    tokenA: Token;
    tokenB: Token;
    fee: FeeAmount;
    sqrtPriceX96: BigInt;
    liquidity: BigInt;
    tick: number;
    tickSpacing: number;
}
export declare abstract class RPCPool {
    static getPoolData(provider: ethers.providers.Provider, poolAddress: string, blockNum: number): Promise<PoolData>;
    static getTickIndicesInWordRange(provider: ethers.providers.Provider, poolAddress: string, tickSpacing: number, startWord: number, endWord: number): Promise<number[]>;
    static getAllTicks(provider: ethers.providers.Provider, poolAddress: string, tickIndices: number[]): Promise<Tick[]>;
}
