import JSBI from 'jsbi';
export declare abstract class SqrtPriceMath {
    /**
     * Cannot be constructed.
     */
    private constructor();
    static getAmount0Delta<T extends bigint | JSBI>(_sqrtRatioAX96: T, _sqrtRatioBX96: T, _liquidity: T, roundUp: boolean): T;
    static getAmount1Delta<T extends bigint | JSBI>(_sqrtRatioAX96: T, _sqrtRatioBX96: T, _liquidity: T, roundUp: boolean): T;
    static getNextSqrtPriceFromInput<T extends bigint | JSBI>(_sqrtPX96: T, _liquidity: T, _amountIn: T, zeroForOne: boolean): T;
    static getNextSqrtPriceFromOutput<T extends bigint | JSBI>(_sqrtPX96: T, _liquidity: T, _amountOut: T, zeroForOne: boolean): T;
    private static getNextSqrtPriceFromAmount0RoundingUp;
    private static getNextSqrtPriceFromAmount1RoundingDown;
}
